GNU bug report logs - #51343
27.2; Xaw3d scrollbar thumb doesn't update while dragged

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Po Lu <luangruo@HIDDEN>; dated Sat, 23 Oct 2021 07:34:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51343 <at> debbugs.gnu.org:


Received: (at 51343) by debbugs.gnu.org; 24 Oct 2021 07:01:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 03:01:38 2021
Received: from localhost ([127.0.0.1]:37766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meXVi-0004WD-2x
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 03:01:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1meXVf-0004Vz-JD
 for 51343 <at> debbugs.gnu.org; Sun, 24 Oct 2021 03:01:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52840)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1meXVa-0005Tp-5I; Sun, 24 Oct 2021 03:01:30 -0400
Received: from [87.69.77.57] (port=2345 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1meXVY-0002B6-G5; Sun, 24 Oct 2021 03:01:30 -0400
Date: Sun, 24 Oct 2021 10:01:18 +0300
Message-Id: <83cznu52kh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87ee8b5430.fsf@HIDDEN> (message from Po Lu on Sun, 24 Oct
 2021 14:28:35 +0800)
Subject: Re: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while
 dragged
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <w9zgqzygfg.fsf@HIDDEN> <877de36ue1.fsf@HIDDEN>
 <83fssr3q2s.fsf@HIDDEN> <87ee8b5430.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51343
Cc: 51343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: rgm@HIDDEN,  51343 <at> debbugs.gnu.org
> Date: Sun, 24 Oct 2021 14:28:35 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Thanks.  Can you try figuring out in which released Emacs version this
> > started happening?
> 
> Sometime between 23.4 and 25.1.  I built 23.4 with the Gentoo patches
> (strictly limited to resolving build problems), and it seems to work
> fine, but this functionality is broken in 25.1.

Thanks, I guess this means you have to step with a debugger into
x_set_toolkit_scroll_bar_thumb and see when it is called and what
values it produces, and perhaps compare between 23.4 and the current
code base.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51343; Package emacs. Full text available.

Message received at 51343 <at> debbugs.gnu.org:


Received: (at 51343) by debbugs.gnu.org; 24 Oct 2021 06:28:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 02:28:51 2021
Received: from localhost ([127.0.0.1]:37739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meWzy-0001MT-Tn
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 02:28:51 -0400
Received: from sonic315-22.consmr.mail.ne1.yahoo.com ([66.163.190.148]:34459)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1meWzx-0001MG-6z
 for 51343 <at> debbugs.gnu.org; Sun, 24 Oct 2021 02:28:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635056923; bh=0IMOEg2sZvBiBsdXy5Q3OuVx3q3u3exldBOAlqlVsC0=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=M4KAu8+on+TqDVhg7i9rXAG7zyUgBVLgmZEk+izOXBUM8bJ/VdlCMbiZgr1SrG7uQoDAQdOJ5GK5MliQ6HtXbnt4SAcwviR4Upyl04jDlMPsSM31qJOunOoAoKnkMujbE/4D09jWmIJB12pLP1nEtizNR0Fatw4UnHEv7Cun2I+ll6kdKIwoBjc4udbeXkBzDbxj8ZCI1MbSsS4gOp6YIBpoGCb7WZU94Zh1FYjqbVplzE4odZFYJsRMlEwRZ2jBKI9VAQPrJgp8VqtfbOFZY6CeSlKXcWPVLFP6ThKNyzcJLbCWcxSyVG4kIHpG/sLEuZ1MJcU1KpXwyNrjVOpvAA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635056923; bh=PwYfR20RtbZrEXLMQUVChHW1LxACPGGuVo7C/7CbHmD=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=sB1gC6iyQpNcXBXc6sy6cpBT9+GtruDEcHtNl9AEwj5G7V7xKwtaYFerVKCsLn49NpQFC+LKLGfNLHO54/Q7gYPCyuctRsRweKBTMR1Uh8Iu+qdfG4TnrXn/sek2jP55QzzBbRtddLXsXGybHLz0707cNvFgNvwyaXbPn3rmnwyQVPKdmCXMAoKakt+66FFq5nz29hv3PEOEU76tmfsDoDsqb7B8MCPXXdjg+9kDv7AXnSFCPvXWdB3AufLSshUubenJydoKp1E9aHHDR9woulDMrAQ1XGZdum1UEt8JUiUE9554xCbuqgGSBDLvL8uazPhvYXyxmUFPlNveOZ/27g==
X-YMail-OSG: hOQIjJkVM1n_jmwG1iDcHBzxmj9Woyj1P7ni6mlcWyF_3XjxvvjX3M7t27n6OeH
 Rbz3I89B_P4Ky9Mx_8_lDs333CKERsU77NRc3W2HeFeugK8OyFybVBZIWz_3IDstpDbhnMhUXSwJ
 VzoS99F7rw5cBmGocNhM2bUzTDD0pfY8h0gCl_akJFxuVi70MV8Zq50iuI2EmqKRdcgeT9_1d1MZ
 fTs3ew_1vKMiWXQ04IbHPVA2Uw61K2RpgsbQO5A39MFBk8b.woT_VGxuUEtqaidEemOb4E00UE54
 HDg8SOg8OllhodrSUzth3NMNbAQZTz7Yeuf3.KYmfc46O6x3AP5tXMZlEMg0RvC7PSfkCenzogrU
 3ziYEJ_1lN75taN6K2R9LTAkokW1ZnJPK1eDd5lu2U4rUzly4hx7JJjkOQIrLot.KgipRvuLihMC
 Lcn5EutYvCZit6jg.ydefroLFD51M.LZKJnXYzfaXSUSA60VwpluSgyjnGsmP.XHVTPKn63vZ69K
 td35rrcBrUZRNlMzA9zF6YJFwv52e82zYLmBtqs0qGXi0bPU4SzDM3TZWtw.uyGu.DLHBhtD5nzL
 Wcu6yQPPZ5c2dxUPcavEah2z7rU7HmHtWm1fnyayqbnVfguQ74Qtbh3P0kRPfZiXKEItX6v8ua1o
 RUFQDaVyuCbZs2o4iH6KnZymENfm7VAX7mlCoEUQSYWdMUJa0XA9FgBEy62qUY_uYKrINGaLzVYN
 WCQbv7ecqlUp6yFP9XTZ3gSEJ66pyobKJCpKZww_fms9kP8w_Y3a1Lf0IhVwBFszffGryzB50EJo
 gktJnFROIecWucIZhbH66e7wyldxLDWonnRBL2nNYjBikO6Vuwjn4a8lfxzQa5HW__STWCCsWNc7
 46Jvm1CF_n7lNJVpDstrje2r7XtT12ppqv7RZWYpHqwSpgK6egr2iRzH1cdoBakfmjY9zG5Rwyt4
 pK8yDPXeZPyvT5SdJ3NzeNcb4wgmKJA1SvsYvGPp5sXD27xV0R5ZFETL89hqHCZRsTA05OVNENL9
 flmJUWzGSny3JV3qq8ELZB7vijHy2FYuGwY80wIEce.MbF5DdbXGXfdW7s1vPnJdpIfXMyl5gIed
 hSH6GnE68I7F8..pEmTzdJUC8_C6_9QrsyFa0vrCscu.cFYgFyMp5aF2cAC7fcogqNtIkptlJEoF
 h8uaT.PNU4cqqm6KInAFPXaQ5WN47iMC1bGIcU6ef6ddYc3lH7ncHWovQEopKQOytYVXUwwfFfrP
 b8CwDwQMnlsjQoTmoOD9k9xeJ5teaZaFcdE50QUUWUnlrMKi0ltJByME1wvR6.J_SwKc9vcy7Ylx
 SHD_jV45kkCauRsuFvNPGW_A3Tw2pE5be_nys4io8YqKrmcci_p6j2i1QlommdtmHRDGLcizuh1.
 qA7eb9UqxbrVhdaC2n5cOpVmc_vKFbub0LSf9Ty8mplkRuTIRMLTPik70Ouca_tymO7Z3dCng597
 IJ0WsSb42mlxLShzpyq4Uwr7LfBUNRDlljWCDHtv6kpFPM2HHSj.uB03eIunoCh0YeoVNLm0TzK8
 5heBlOPgxGCcXWrLSUuh_dPWFU8b6e2_RSTeo2OJqrj1N3CZOEDBMWalDAa8kK2.ahSTlU5GpjML
 p94UD72ZU9c9ujluaCXwB3Ztv3hqqLlh5_imt7y1jldbyeaWieMiVPflCg.ri7YjcML9u.GrApvP
 8b9s5plVlkWqQeDW5DM3VRH770J0eu85EIZk8.dVw6fvUDiiufL_0YP.o1o.W3Wmp8zUK2Tds9S7
 uDTazUc.Eb.O1Whzlg4ewsb7dG7F6dBOyV4NsGuiAYATmcl.czvrR7NVhO.OLOsXJ8qx4GVtfaeD
 StY9fJebD.SKiW.YMzN5nhSgEAP6k69lS3_IZuFdNd6u_AY55iU9DkK00TEX8UDrLf3PvCiZYbKb
 WbFtEXbo_owqXf1JFJZqPg2fRmH1IMahIrk.HPdbfawmWgZE27lCjixeRPsThsWWXRc2Xq.jP0oO
 V89K8vFqsLqrI7iYTm_BELFOsPr1FO60HbMP1psBBei5MgRTvCQKMwshoywN073mdeyxlKF96rvF
 R81c9LL0e3DcyPju22MYHQoUZkM1xnXrUR4yc7_Lp8fpk1O3cwtphHDycU6QDtpArQh9r0hGSwIK
 To9HVx7xrCdBA_eqIhyGk9HKCp4dG862maGNn2DWKBknJdr64g6vplUSldePNjAVxCNydnpWL9_2
 BI4YQYOmwMbAeHeTY.kOx_t4tpHLCr1hW6QoTSC01YljPxlOXDF38.I2O4g--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Sun, 24 Oct 2021 06:28:43 +0000
Received: by kubenode501.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID bd3f0c9193e071b21b73b7f8b7a58070; 
 Sun, 24 Oct 2021 06:28:38 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while
 dragged
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <w9zgqzygfg.fsf@HIDDEN> <877de36ue1.fsf@HIDDEN>
 <83fssr3q2s.fsf@HIDDEN>
Date: Sun, 24 Oct 2021 14:28:35 +0800
In-Reply-To: <83fssr3q2s.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 24 Oct
 2021 09:16:27 +0300")
Message-ID: <87ee8b5430.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 329
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51343
Cc: rgm@HIDDEN, 51343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Thanks.  Can you try figuring out in which released Emacs version this
> started happening?

Sometime between 23.4 and 25.1.  I built 23.4 with the Gentoo patches
(strictly limited to resolving build problems), and it seems to work
fine, but this functionality is broken in 25.1.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51343; Package emacs. Full text available.

Message received at 51343 <at> debbugs.gnu.org:


Received: (at 51343) by debbugs.gnu.org; 24 Oct 2021 06:16:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 02:16:46 2021
Received: from localhost ([127.0.0.1]:37719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meWoI-00013S-2F
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 02:16:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1meWoF-00013E-NC
 for 51343 <at> debbugs.gnu.org; Sun, 24 Oct 2021 02:16:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52312)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1meWoA-0007fa-DU; Sun, 24 Oct 2021 02:16:38 -0400
Received: from [87.69.77.57] (port=3564 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1meWo9-00013L-Bw; Sun, 24 Oct 2021 02:16:37 -0400
Date: Sun, 24 Oct 2021 09:16:27 +0300
Message-Id: <83fssr3q2s.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <877de36ue1.fsf@HIDDEN> (message from Po Lu on Sun, 24 Oct
 2021 10:15:02 +0800)
Subject: Re: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while
 dragged
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <w9zgqzygfg.fsf@HIDDEN> <877de36ue1.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51343
Cc: rgm@HIDDEN, 51343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  51343 <at> debbugs.gnu.org
> Date: Sun, 24 Oct 2021 10:15:02 +0800
> 
> This problem exists all the way back to Emacs 25, and probably earlier.

Thanks.  Can you try figuring out in which released Emacs version this
started happening?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51343; Package emacs. Full text available.

Message received at 51343 <at> debbugs.gnu.org:


Received: (at 51343) by debbugs.gnu.org; 24 Oct 2021 02:15:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 22:15:19 2021
Received: from localhost ([127.0.0.1]:37636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meT2d-0003AW-JR
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 22:15:19 -0400
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:35134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1meT2a-0003AG-VX
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 22:15:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635041711; bh=zt4h7x0+rqLbe8Ko7cxl9sVoVBJ1rsR96R6GOecCVbQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=uHBKuBaaPUfY/9EDAHsflcUJVmZvzz7cjeWN8tcBKaeD/Fqyad/OWHNt3sAJ1La2on2W1mVg4sjKG4AAeE0bPfN3d91sa5J3REzTO5ZbL2fXTDCQK2GgsIMBF1jSWvL+yVjbsJzcQDuAI/S2F7sDQdB50szinyK/Qrr9FYNAif8IeTlNt03KcSOyrT9b7RsScRxT7411SIDhO50ZJFFQ+yMXjQlPj7D12j2E+sMsbqGrpYAuX0fiPQWKQ27laA0KQpYIXACxqpEew53c8MgzIrcYzGvdu8ZoXx3E5O1EgOXwLwvDzt5J1uU3GPeRBzufK8YmFN87O89545NGGmZvrQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635041711; bh=0hcg3ov/NgIn7J6IDyllkiMc83+VU/nygRIBoLo8oxG=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=R2eBEHCmNskbdf7AEZ0M/MSwMM2g10VQASa2r5OAxYpU3XR82SbWql7DgsGhuhnW2vS3E0M1hy3DRzpcGcktFGiuIGsrcGWkJVrfZBk1hRMauXa7PWHTGj/faZ9jhAUc6IrQJGZbkpVG2ewoRDDqAzA3zkEwVsFiMH/cjCvf5VuYmnGzYKHdWXGAOKl6YoqsSkf4qV5NLVkCfg5th5okmTify4HhGRoEfxM2WAaE5aUPXe4yGzO+QT8LichxFYeo6r3yEwjrbT22bh6Gqj2dMYrCzWEz5QVhOA1w0BYLw2YylB6vbepAu/T4dFiEYIUbIBAncPtLrDozGgwGuFVNZg==
X-YMail-OSG: NkbHD4kVM1nhnCQvrYUYyi3kyH5aJnpC4tQ.yqx2QqJQq0s7THXSrRevujsTGu4
 BLow8.1imMDOgAdk0CJMnLeGDPWt7v0Sx23lD5C8ikI9b8pwNdYsjCGZzVVW.Lk9JLhU3CLtAG0U
 9nJx53QesnThtpouesOQAQ6v.82Mi6nV43ZESoPQnCoE91rhWCBQwqH063pxNzKbX9pQGADu9n3C
 imHFEYencS.C2e33XmN1hyeSobXTR7xrW30eUX4C4e0WLvSpN7u1ru4jT58_40EY8aqFb2S1K91o
 gBBAM_QeeBa5WN_IeeDBhWIlDXpH2dUU2R3xDyJUea8dmHgP1hyEo6amQ32VHgJp2PbGo5B8aWrf
 pLTwDlOcMwQYNqnyDM5d0L3bLfMcu.csuA_8oXZZPqluZhs_tT8hS4ujgfQ6cgyZWk1hVOl.Wwww
 g2sgduMYNRPdJXxVEKYo2rq0ItHk5jqixwcO1dipumInSl5xjBM.LutIGHEm0brtSYB.iaIWLQMt
 UPKimqXWzp_bDj5n_xFA1iN6iC0X4ejuEgR_hiz57ay9l.2uJqosZNPHO0ufnz3AtvNBzn.u7cJN
 d66EKm3Kw1CQ2RtpQoPj9niTy7qGDKPljd8sRkl6lA681pg.bup43SrluIpAIsRk5hjk5byFRKxB
 L4KgaXXzTCkQ_4mf.GRUl19KqaxB3WpIzjRGQJymPpZUvflPhh1UrdEX.dQtrM2YAs_xI3XcT4WX
 9UC6yvfy3VpM3t92xAEfoX_EksVmOO2mR8Sw5g0qcsngF_FvhpF6c7pst7Nj_gZ.Zb3HaoMf45Ds
 nvREta55ocTG0CMM8vY_MUE6OOP.7sc42IfsZKpkvM8nsA7.HRM2tspj.j0ipXkrM67SiRGGqO1.
 2N05DkBg0dSkKy_FydecchFGO5pqLyyG7oG7dNOASs1bY6lPD77rCPxs41708cGQONDWLnmZdK72
 rpT9JGCf4EF32CsKSCSlFHzQl.L38AbbrOs6YDPH1SEhbsTHfdNY0eXhjDXjLmlDhgwG0LIIupUu
 2FsGGvl28Vhebg8pp.dWW1ZyvW6hDsgIpQCZGGkePwPnCDWXnXca3mXsHNPKBhQDE1ZdlooYTfje
 AN6Z7wq7UPK4bloQu3zDW7kY9eGds4SACMBTr74QS17mT8RhjGWrXJVKB1hTwWcHDrN7kbbfOHRM
 pkaL4ghU0RxNq5dwJehfRVhCmirj2P5ZolmmbLCcncslp0g2p9o5acOvo53LEYDtkMPoTpQG6mAz
 8wjLi2B0JyCcEueZfFOiTkJTc6rR7cAdOY.jtIKYfBkQG7Fx4FBvfbo3ZLiWL48ZDIAOVMPeCegX
 oPTHKMJ5Q.PIoMBpcWrgt._Q8hKXHsCWp4jD2l71AgWjY3okAS0yhvE9I7feGzwH.6wkOpZd_K9H
 rBCzjKPX6xyZXNIeNziXsjAYX1B7iRMvOTM32dNv2UMYHbDGVPME6VtwNOcU9frjk0bioGaWV65h
 JTEmrfIadAx.sMxZp9nd78HYREHABb3Y2A3o0IFMH6gqeVriG8PADkKgIjbbC5GjBYmwLJMhEUeY
 bBiV4J1TNWZrB981ZKH3LU1ppMcHgu98M_Jkf1MH1hu94ghp3P7c2N.WAt_5VZvAAWP2dooZM94I
 UqH1Mlrwf5bRRru0EGBm1t9DacZ9U1aLfcaSdAjkBl31jMo9YTSoPsRqE1LT_EhiPjo.7fkTUCPx
 Dy0Sfu1KYELAL.wDJzcH7qvuBTfFLuMpio0ivEpUgPCMoTtum9a9LRQeGLPjfSjow5BHrXYmdRdp
 adf8B5o25B5DiVDzJISZyf4Z4nup16_mloNSMI_7eDBT99DRj5txX6GgUKVl9YR.6ljijVA73hnp
 Cohylrz8_sRwVzvUTwvkw8V57oYTec5YD8d9C2geyVyLdB.W8JY_BA_YPVg9LAhrmn5lNAJb2o01
 ptMbXPvOdebxgqkgi1EpCu3alT7_pB3jS0jyYt8KYxiejN9qAmM_2n9bhbr5PJsq4q.IV4fD2FIP
 ihLtGpeIuMvFG2eidMaX.G7O7AQWt3N3c56b96DzHaLkrDkIuyeaQb8QP7AoCcOAfsJaRnG1xh8Q
 19H9sLPc8NYwVfK6FfePwsjfzH3gr5hzyA455i2HaCXgRGsFhNDuwUGarPhW9kzQMlAKcKtyrg00
 EnRwCYA3kt5eAeWuYnQ05VAh.flA7tCLKuBE0wWY1hp0ZBPsEK0U93Y1hwwpZE8KQmssX8GBGL14
 hQRWpnIVMPMRsRPSiwLfRzugSKL2D9bKB_Lfk6cewny3A8_GifUk-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sun, 24 Oct 2021 02:15:11 +0000
Received: by kubenode510.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID ecbae90cf5b5a3fe920458b475dac43d; 
 Sun, 24 Oct 2021 02:15:05 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while
 dragged
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <w9zgqzygfg.fsf@HIDDEN>
Date: Sun, 24 Oct 2021 10:15:02 +0800
In-Reply-To: <w9zgqzygfg.fsf@HIDDEN> (Glenn Morris's message of
 "Sat, 23 Oct 2021 10:16:51 -0400")
Message-ID: <877de36ue1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 557
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51343
Cc: 51343 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris <rgm@HIDDEN> writes:

> You don't need to compile all the lisp files for this kind of problem.
> For bisecting, I use:
>
> make maintainer-clean >& /dev/null
> autoreconf -fi -I m4
> ./configure [...] --cache-file=/tmp/ccache
> make -C lib [-j #] all
> make -C src [-j #] emacs

Thanks, this helped a lot.

This problem exists all the way back to Emacs 25, and probably earlier.
However, at that point, I wasn't able to continue building Emacs on my
system, probably due to some functions for peeking at file streams being
removed from glibc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51343; Package emacs. Full text available.

Message received at 51343 <at> debbugs.gnu.org:


Received: (at 51343) by debbugs.gnu.org; 23 Oct 2021 14:17:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 10:17:01 2021
Received: from localhost ([127.0.0.1]:36851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meHpV-0003NJ-Mw
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 10:17:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1meHpR-0003Mw-W7
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 10:17:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34064)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1meHpM-0005TP-Pa; Sat, 23 Oct 2021 10:16:52 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1meHpL-0003Cw-JN; Sat, 23 Oct 2021 10:16:51 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#51343: 27.2;
 Xaw3d scrollbar thumb doesn't update while dragged
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
X-Spook: president penrep FBI smugglers CIM Armani CBP Border
X-Ran: q)DGhwU@j@=fy{F%z7']\I_n5H}\oMR!(S*XEh%QK]djG_$lu!-Jz\W?<$kPqj{^xp%6%s
X-Hue: cyan
X-Attribution: GM
Date: Sat, 23 Oct 2021 10:16:51 -0400
In-Reply-To: <87pmrw83ob.fsf@HIDDEN> (Po Lu's message of "Sat, 23 Oct 2021
 17:56:52 +0800")
Message-ID: <w9zgqzygfg.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 51343
Cc: 51343 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Po Lu wrote:

> Is there anything in particular that I'm missing and can be used to
> speed up the build?

You don't need to compile all the lisp files for this kind of problem.
For bisecting, I use:

make maintainer-clean >& /dev/null
autoreconf -fi -I m4
./configure [...] --cache-file=/tmp/ccache
make -C lib [-j #] all
make -C src [-j #] emacs




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51343; Package emacs. Full text available.

Message received at 51343 <at> debbugs.gnu.org:


Received: (at 51343) by debbugs.gnu.org; 23 Oct 2021 12:35:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 08:35:47 2021
Received: from localhost ([127.0.0.1]:34616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meGFX-000098-IX
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 08:35:47 -0400
Received: from sonic309-20.consmr.mail.ne1.yahoo.com ([66.163.184.146]:43786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1meGFU-00008a-PR
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 08:35:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634992539; bh=gy06rklqG+K/yL9gAFcE5Id2TZP7r9aBvmG2VE+oTHo=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=sUUo+swEdRmHDsAKHPTZNGlB5uu5eMOipchiYFxnIA584S2T2o8NSzQuqhfRd3vtjKcyPtVfQnSpQQyThx0DQaJpIkARphR6PvDQMpcdDyNXtR+BAf1BBUGT+delNKFcTRH6y18wIDgGgoxW8663WSihBaeSX1Q/kbB6xujq1iic0PGH1OOqwyXs/QeV8aez7hdPuh411zNwYXx7KeudotoOHOwvgTuMsN0MUsYSaWz0VETxEnLg2fgezkAwlh8GnR9PwFfnzUOIBEQy6GKHzobZ9Lz9w25/OGdb+/OEczUAe+TjkEirMejFKLQsL0Sok52vraH8hTn8BmbLtWbWbw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634992539; bh=Z9k3tJEJ2nd/PtPkPO1EZ8IlfDNaBSuhuR4ZDwua6AC=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=fxhD4LXUeFs139PIjAvUGCcozPLucNY0iTXBjQRu5QYwXYFyzthXBWHyKtmZRtR6OibKDvsbreNH2NeBncFpCp1ks+CfZ9QjZu1lK2sdcJU+LWNwjdjXz2aZk/IlCK4gdxbfntE3i0luJYtlDyYmXtp6QS1E71oL9rJgeod18+Jewdbj08T2rV3GZL55HbUEfCSXrEgST2KM5boqvghpDRSxxmob8ZRPSItNKSU/2ncM3KT113ugTTXU5GTWXJiLHSzSfwPAV4yFW+r6g8oCpSRMKe0Yo47dojQtdXbuDcUG7H1j8NW63eYvmWz9O2fVlD4kvfouGI/oQUyaqce4ig==
X-YMail-OSG: MglwQmsVM1mvo4pnuoX83.tkiz27y1_A9yH61hSOelDcE4Jh6He2JI4jKtTXyB5
 SAD7Ryud6M9BxnqMUxVfNBuB3TY.JUKtPQSFj_D63QzALgg6Fo6nK5gxTCduD9q6E78gyln1bgTZ
 L5t7cef4sPPsuqZqfhkwUAKrTHs3.kngCHAMdRwt0F1jvqNHwjnLdXRQoQv5c3.cPYYBlP3GmNEk
 7WTLEEJb4qvNfAARZJMc729G5YwS4EKPd5Tf064WZ9vMfd8_uIETIgdaKEkL7mYQvkh7EjWnOpAK
 dESrg_vYEpT3Y3t0IQbc_LdYCorhN8ywJ1Elbpkvj97pwoK7dfAMXuJJBlKTRLFPXJFwuLZJXMTE
 Ka5rPpmu2GXHhNgzEhURTiLxVcmmtdnt2hk68yvvt_Rra6NBgsyg3PDPA0Fop82eCzQ3DyhMXYG.
 hRPvDZN35DetdIYX7bm3Ks0DeIIJzRUmqzVNdR5QEx8kDVHg9UztusoBFjvVQg24eyFo6Mj.4mNO
 abtBpZDMfdP91XXPV.8NfidLadAgvPc_oHJuOnWjhLl.XzH0Vpn0GV5sAKdKzjsrtGn0s.vVHuaw
 XTviSKis2FJRo9zeJOdDQHd4R2pRLRldS8FrWe2fO5FeLFQyaN2lgKGocgaoBnkK_vn40O2QNUwk
 mCFGfIrth3LZP.f.xk1LgHJBay6P2cVCSUvKFxOAkj0tCVnwNcQhu7vEDIcuG5Ex03DLpzhCGLRP
 TpSV5ZZdkp5quS.4rZGua6ucNrWF.5WqyR4hyUFZ2OOSnFJBKZW9gw0G5hki1Q_zMt1t_f5XczDU
 4DTcFqWcVzPpJQGLy9qZluEYrUtPq4uoNXqYN3jpo9tCcml534iyAgAf4D_JIs.EWwfk2C12XSmM
 9mLF6X8EpdJFyRmd.E_Vq58ESaXstqz5QL5TCpNIVqt9Nbc_PgiY1MZ66kAtMth1IKmhgwrYgd8G
 MIGgwJSbm3PI3RTx1VaIUSqWyd7zp_NF9fzTp76xGS.NcFDN1qQRo1SmwhMfQIXMFoDna0iqMJl7
 Bw1yv0A61pHXwidT20OBSijynEWW4zUmyLXbCRZEDgujqydcPnEy.5qTDbzlz8l_ChUuG4xSC5N6
 xFjTUTFTMNtNRFdpun97sgm9g32rLcGJoFsMTWK9xafcCrzkq4q9chZ.vTasSD_Zf.9t4NpjKGQz
 fgiuMiVEQXd95w722j69iTBPrB.Ke54c2tYF0gj6BYyUDYY.h4tVKH_wLvYC7BVTvTOP1BZ9wzel
 y80Ffj1Hv0OKqiEYMQAnjMd4CUMAM.TH7iS.4_alOqPFtu1Ino5q3kg1kYo.nomIt9b3B5fsC.ag
 V.a0Z14Jk9BGP3LTYqnPedIUW4yFEtCbrF5AFag1eLqVQDQjHlvfJlrhx8o.Sdz6zLPm8z9R4flh
 2.LLYkj1QR2r4zZFJKqslIDs2V0QM1nH_yP2ftI3eKTlIwCZGwkoe.ixPH9LxBrhogY3U5WBglFu
 1mQtv0HCpncwK728CLZaDpdh7u4dhtoi8fLCDs7mwyMTRTzbc7r6D9KM2VMh.tux9WJOTPmdgZvY
 tIPIepl3oML4mNrRTcntHzboY20QIaAQSfAabvenKzq5m3RjZn872RYcTzxbV_E6LM1Tuf7RHPdR
 DqewbekbPEnMyeI7GKym0fn52f0j98fF55g9xGbzORr2exBC_bbKvGYeK8LRhX0qkqlbsgkISOdB
 BbdW5mPiBzper9.GJT8O9LPkV3uX8HD9zWN2unlY0I_yS1Dg22pntSeXKz8x_JvGUL_6Z15H07z9
 RqgUXrqRknsHVCE0fz3onxUxrJFhQmB87v3OqfNxuR8ffUXZyq6PE6ALbWYeEUibZFAVPgXZ98qa
 Ce4m1Xj1IVKbYGtGEjwjIzQgodN6I73NxfvJScF7Jkt7Ueu86yoJnhP_G8OeyPQCrrCJuDjxDjH8
 BVRCrJW18jM85xcdFWxF7jHrxuuNK5vSD_EQRUZ26qnluAtCoOwT10YJKfGtyh3RgYoDH7WE9sk1
 eQ17m8oFFp4XSE7j5wbMSPoKQBAmAtaheegmM.Tyh.M4z5.H1MmHaSS32mJTXRAxPLpO_nvel1CO
 3lqdX0_Vv7romVDYHpZ9izTraKAHqVW724pc8orBJkehaD3ZcJoLnbI2F2Bry6QIsZLSx5kZK38j
 VAfFu8cyxBlqQbUxXxDcxo92jfKHcOC2OiYc1VPWaZBkrzTYl3Gbe8EPooEqMkim4nSbguwfXZX_
 MC0uenfl8Gz2DcTH7jzUC3VBMQjkk6Z_bfqK.RU8IXzDOMM7D0t_IbjC_
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sat, 23 Oct 2021 12:35:39 +0000
Received: by kubenode510.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID f577f6d3dce600a3067872a1abe60534; 
 Sat, 23 Oct 2021 12:35:36 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while
 dragged
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <838ryk55av.fsf@HIDDEN>
Date: Sat, 23 Oct 2021 20:35:28 +0800
In-Reply-To: <838ryk55av.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 23 Oct
 2021 14:50:00 +0300")
Message-ID: <87sfwr7wbz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 293
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51343
Cc: 51343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> "make -j10 bootstrap", perhaps?

Sadly, I don't have the luxury of a processor with 10 execution units,
at least on the machine that exhibited the problem.  Plain -j2 will have
to do.

But I will bisect tomorrow and let you know the results.  Thanks :)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51343; Package emacs. Full text available.

Message received at 51343 <at> debbugs.gnu.org:


Received: (at 51343) by debbugs.gnu.org; 23 Oct 2021 11:50:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 07:50:37 2021
Received: from localhost ([127.0.0.1]:34529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meFXp-0007OQ-M1
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 07:50:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1meFXn-0007OE-Ty
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 07:50:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58518)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1meFXi-0004tg-J1; Sat, 23 Oct 2021 07:50:30 -0400
Received: from [87.69.77.57] (port=2526 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1meFXP-0003mb-Ra; Sat, 23 Oct 2021 07:50:30 -0400
Date: Sat, 23 Oct 2021 14:50:00 +0300
Message-Id: <838ryk55av.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87pmrw83ob.fsf@HIDDEN> (message from Po Lu on Sat, 23 Oct
 2021 17:56:52 +0800)
Subject: Re: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while
 dragged
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51343
Cc: 51343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: 51343 <at> debbugs.gnu.org
> Date: Sat, 23 Oct 2021 17:56:52 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Could you please bisect to find the commit which changed that?
> 
> Do you mean `git bisect'?

Yes.

> I tried using it for Emacs not long ago, but after a while odd build
> errors started cropping up.
> 
> Eventually, I got to a point where I had to run `make bootstrap' before
> each build, and it started taking too long.
> 
> Is there anything in particular that I'm missing and can be used to
> speed up the build?  Thanks in advance.

"make -j10 bootstrap", perhaps?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51343; Package emacs. Full text available.

Message received at 51343 <at> debbugs.gnu.org:


Received: (at 51343) by debbugs.gnu.org; 23 Oct 2021 09:57:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 05:57:10 2021
Received: from localhost ([127.0.0.1]:34417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meDm2-00048J-0M
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 05:57:10 -0400
Received: from sonic311-23.consmr.mail.ne1.yahoo.com ([66.163.188.204]:39664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1meDlx-00047l-9R
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 05:57:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634983019; bh=q1q8eKkrrX2zgL/HOHnV+kobnh3XM98YOzTX1sOcTvM=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=D1QWLMIUasRzeCdteKdxNytWPI7wODBqqDG8Lp0CTiPiKAgqkdGW8SF7qxIepkKHO/IjgwpWVZU7GXDN1Y3iK/WuQFoEipOCDgxW6ZlOcNQ+OZSPBat4wu0R9yFeKfOXRNFhBQYThzbSl2Ntf835ni16O6/rxMSVVX+NXjqQr/ipnbmGQ99IOf6dDR6LD8Lo1ovyNsD4DCgbRoHOEbG8xtKRyaJB4VFuE1FQVtf87M4yPac9GvC4ZgguMnHtXeRfpvHZbP6V1bVaEIxFlC+Hu/uR7yq8//hc6V5pHnSJOHmsB9F5XfPSvBdaKE09j6SO4tf5V12eWnedI3WXT+Ykgw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634983019; bh=gAIla6bVjh3s4YohpWsQ29KT/rIaDAB9qK599FpndOx=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=a/7bn6303oqBqlA9fhEyWRwrarqjj5xFh18ZxgiropcPoyBauF0oTd+BkyB6rTHFo4XukOfF+gHtzGGfQi+0RWFSqmKa22rtMFhsDuNUgUNC7p9l3RwT/PMhaRxVsKfCa45//ahaJGeK32Z2u5q6lkrDRzVeol2gCXGMsuJvcKSZH33yEpdqmYf48K0UI+Fxg7U8dySP9DbPteVLbwa5XtH7miMAtlNYDVfjklQfLfANeDPL4qPiFzXNhI6hbhoVujNGJZySCBxX5aIDU8FXxhmO32kWcJL/d0Y4HK1cJN6VfEqmn/iG0u6NMbW1i2lKfgTdlWyAIGJu+LYGrGDQ4w==
X-YMail-OSG: fISHd8gVM1nS3T1Yp0mufs2EB5fRe5dOJ7.TpJKweztVDf5Nvl4J3U1Fw_ESZoz
 pY7w0uBhHOZDLfR_vOsehXa8301ay84n_8DaNniuyFK6iSClGGy_ys.CxPCf6owhaJTbrrQgPXwm
 xKTFwNz3aQjGElsfgeHAsPFjR.qThCYZPYBxm9OgKi7hfHfiVZPqwohfLofqZwxYCLFkpsApR.Q0
 E_mO66JZFI33WjAvzJamEAKdJ.e3YKGkZm2aobpdaKGZKiZUWP66jsIve5vo1ElnmdoiiBTKKPuV
 kbnqa7jw5WmZ8CjAQQBUTByobYUPClfFA2B0klmwhKbj.jJzB4CC5fa_IitsODldHSq304jfl5Yx
 hOamUQWhfhQ5q2o4XkB9zw.nqIxp7cqxUl0D9i5tjtKk8BVzr6jGlFvNL2cmorNgnk0h9rFKXZuv
 ViKXQnVjGCsxkl_VPhLQVgjZ1pA86EdZHw5EjtSt379uC7Ef3K5MIiY5WE3a7oFifaYwt8dNyzso
 qF0NAR_MXnMYR3lMk54sHiuEYVGa_l4CBaRcBS_PP4aIyvKdvymqq.QE4E15C_wyPqOLje_BN6M_
 5p3p7GR477qpB93oStwuMAJ0MlfcK6t5dWP.ZSF8PSbT5mwuAb_3t2YLludSTY6Sqy6EUX3LOZml
 9ZAYWzdM3F.sDholPgg.JcUezR6n5bKMlqvAPgevxDyezKzoRa9WBBZZ543LtGsTb9EsHY5PBORT
 T_PEwn8SfBObYpohPNUqk4QpOW77qVEwHCkui.AfezC.OAf8Ek47l8DxseEq0nNQtN6vdVz7ta03
 Z52mQ5st3JeHfRrMzhbIsQb17tk2Pz6NPSPHXeElteze1JKN7mCXtmtMp6v0DxI1ToOLqywulJp4
 CAXA3prTv5lM3z.eQcuJH81AjjgAlGtSDRcWLbmWA0WDxiM4u5VOY1PrQTZW_K0e5Buq3Nr7UgXk
 axRZU9DFnxpugp7LNdO46uCpnooUNdSxgpg0yVcRbHGGo3ud1RN1TkINtpMqVEJpes1Cs2H0arsn
 amH3veU0YSV04HX0BIg7Fdir50o0T.Dtzuwx_yp_rygClSmWBYyGIM6uORq1_X4jpe8mahhy4Znn
 igajOinzS8CuoyzxCe7XH7Oc.wxlzNw_KIWYHEDbFfhpYx.YZvUhVyXExWl4b4pe9Yyx.vVS7qpp
 OvD6uCAnhIbZSVu6ZxZ67YlUKDkWQyj1E9xECi4wj0UgjpuQK2EZE4de08aFAx5KLKgKf074rMtl
 FVVE5PEbGrgYTMOaor9jlZ1FFukrmkOkicftsk3SkWgIQSYudbW2u.iZNA5duSHpG4mnlMJH7zE5
 4RR0SobFfyDMO1zGA5namj91n_1dVCFvTo03T6WeUeeiw5Orrj7mj7k4OhKsPt9KTupKq3Al_bN.
 H5OuMJTPjj1GKzGw9TO10H_ZycNIAi.oFznUFaCpR3AiZmQpie8hJpUHQ3.tv9lZH3ipLDCXHMnd
 QDVKjwWBNYo8rnNfykz6EIJnhq9EZh9JR9EkMtDhCRTguEyNsVymIVYNYaE8IT6YxUAdr953zdk8
 f8DwKkjObWur.y0feTOeW5gN8kkd5MFvf_5upSgxppdSsNzKFDQj2U_YqxIj2OlBuGMYFiMMQjn3
 tKIpBH7Gcxdbt9NR__LPV6nO9o8TSy7o7E8PoY1Ic8hgaSzouu1d1YynTFyNl8_rO4BoZ7oaHIiu
 Y8yycI8N5NjbFRWr6b8TYNmszRGLEGdUoNljqGMfnEy0Cg1TkM2Nm29u71CveDDCowqnSwKBfOFp
 X6FseZ9BRiU.9w.ASiWlgUPWYIk1NI4nfBUzi2LnXURi1QbyEa5TllDW_1dzLOHXPcwwzC5pff0T
 MjjtqSS5yDUBaGmR9HuCYzTR02xRwGxjmgAYmuKtNkb9o6gmZPxc7fozaFKZrhgNU0422LQZWRDC
 ToDu0qS342j5w6_ellKcB254qq2Yn3NJTn_Hzeu0pZrkM8C.8.llDemXuJMnOvoTCjp4XjbWJMA4
 0CAlZF4dsly4XM09lIJ8jksclSN.NmbVgrN66EZc8n01rulHeFJTB.yb3qYxN5z8iWML2pKgqhNl
 ap7HPQghhc0VLUInEqZkfQtRUh_aukTj4Xr80FU0ZWNMF2kRg0PU2pyh0RILhzSv_YdRSML4l7.1
 O3m0YaOBBPzvB5WPgBu198JEuRH6jcKuz7Ev9nc127QfYdmj6wbx9xQBHjYKmUw.Qf64j8vH9nQ1
 mHxvuahYdlAffVZQQVcAay_nS0a0teB4G.o2TwV60FiM.cYf0hqs-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Sat, 23 Oct 2021 09:56:59 +0000
Received: by kubenode517.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 314e2fb8502bc977d0d0092a01c85849; 
 Sat, 23 Oct 2021 09:56:56 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while
 dragged
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN>
Date: Sat, 23 Oct 2021 17:56:52 +0800
In-Reply-To: <83ilxo5etp.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 23 Oct
 2021 11:24:18 +0300")
Message-ID: <87pmrw83ob.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 454
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51343
Cc: 51343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Could you please bisect to find the commit which changed that?

Do you mean `git bisect'?  I tried using it for Emacs not long ago, but
after a while odd build errors started cropping up.

Eventually, I got to a point where I had to run `make bootstrap' before
each build, and it started taking too long.

Is there anything in particular that I'm missing and can be used to
speed up the build?  Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51343; Package emacs. Full text available.

Message received at 51343 <at> debbugs.gnu.org:


Received: (at 51343) by debbugs.gnu.org; 23 Oct 2021 08:24:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 04:24:38 2021
Received: from localhost ([127.0.0.1]:34310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meCKT-00085n-V7
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 04:24:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1meCKR-00085Z-6l
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 04:24:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54946)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1meCKM-0005ZW-08; Sat, 23 Oct 2021 04:24:30 -0400
Received: from [87.69.77.57] (port=1548 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1meCKL-00079Q-Jr; Sat, 23 Oct 2021 04:24:29 -0400
Date: Sat, 23 Oct 2021 11:24:18 +0300
Message-Id: <83ilxo5etp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <878ryk9owv.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#51343: 27.2;
 Xaw3d scrollbar thumb doesn't update while dragged
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51343
Cc: 51343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 23 Oct 2021 15:32:48 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Previously, in an Emacs built with Xaw3d scroll bars, the thumb
> proportion would update as the scrollbar was dragged.  Now it doesn't
> update until the scrollbar is released, and something that makes the
> scrollbar position change happens.

Could you please bisect to find the commit which changed that?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51343; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Oct 2021 07:33:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 03:33:10 2021
Received: from localhost ([127.0.0.1]:34260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meBWg-0004eG-GQ
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 03:33:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:41092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1meBWd-0004e7-Eb
 for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 03:33:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42798)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1meBWc-00070F-UC
 for bug-gnu-emacs@HIDDEN; Sat, 23 Oct 2021 03:33:07 -0400
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:46865)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1meBWX-0004kE-6s
 for bug-gnu-emacs@HIDDEN; Sat, 23 Oct 2021 03:33:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634974376; bh=S5uu0H7xsWfgWa5U/uGy0YEZnQNbvJazUZX9Qjagmis=;
 h=From:To:Subject:Date:References:From:Subject:Reply-To;
 b=Rsy2th3DelmnxNKTyAUKz3Iz2Mibccshz62ZpfVh/lETg8L3bePaWNHe41h4YFkyeWkONREW32Jwfx/De1TH1+x80lXouKNR5hLieVWvyMnKXcO4lQqseofq3P53WYvM8XF7/rc1/svpTs2xzVQwVZpJS15wzf0E/Sv0O5fxxz0V3uq9OMMx07KJbdEzXVqBRTUXG45FikyjpXTe2vNVWrOxjKsYOG9OVvrSsbrVPX/5fck2UrHVjCh0QIe4UHcbj6hv1RPBX7bO02UoD+8T+Uvi7aKPIfOu5EDPpKGUHr7M9GvS0YlwmnFZzBR3b/cXbiW4IBX1uh06FPDyoBKkww==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634974376; bh=90YOqwedC/BzLmSqmpT7eyqqVD9RE7j1Uk+eC/fEg2c=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=oQDh9Fwa/AZW7mEqlhghiEk1EToUTX7xzm0ZulpBYrRPh8berfc3x9mtueIvG9VCgwMTiQ7oY7usoQNvTUKTSe4mlha586Y7ooI4ey7bSZiwB8X/dMG/TUcHViDf9lYGHnjVAtZ67VY97r7tJw2UTYQ13sqd6FmqWLn6KvedmA7x80bwtiSYMyh5nqQ9X+/fyPwPrkLdvlVLAc9DouAFQML36UOhMHkvOgQ/pDdFionnWztLA2u6e05y7zlTZiK8JFOVY7j7SuNxX5gXvDmkGdTblufBwGLzW3uiJty2QxFWfyKKVQ4x3XgbZXVTf3u5+lUggJjcAhJib2+rMYG2KQ==
X-YMail-OSG: 7xrF0KgVM1kbeiQIAwX86kxeKRTAw7EkBQ_BddG09Eh5IEnMCmLNcnOqWdUvUmw
 WW3yMMgsakybDw8_Dh3fA0jvsBfxO8Gj6lBsBMbXGQm9M8tJFih0pNDPvF2KsRikaGjFAxckkfT7
 B3x9qlVplGFiTcKO9vsvqQq2FT5kjoLHZtvWl5xG5Bk0DRh5FRGC5GJJpr.tPTth3yKMJlJl2M1a
 W4RpwAwTM7AnUtNhG1Atg4SDFUYtHIyYu7BddvUJTf_QAE7iBGV9yWPY8uixdOQ5tTjXoaSx5meH
 FwMNUOq_052qNTa_97BMUg_09_iZaOdZ3agQZHuTpMIAR311vLicLjrlrSSSaNLVWIbIK5FRyfkB
 CbXGm2361PWATdBfBlju6hZ_dKLeYsD2Tx_E11GMo52vdRI55M.3q8wpMlGU.LdH1ci_kl1VqqJ1
 O19BpnB5RQ12LT14foZBVXxH0TOPV5DzhH0K02eMuqHSAdLgRRnm4Hl.eNAHDPUHTVkWBejRsGWR
 _SMN4obkDWpE5Y5t5te62LjaUI2fdjcFnNNv9icO1Kloa3ENEF.ZtsFw3u87LUX_br0kWgiTVf54
 1rI4ODNGOW2IJwscHEA_YEe6fIaQWqECjVBV894I.ojfUX7ib6BeNlMEkzbCbPDydmgYVMIhWrxI
 z2FPlPfva6R4h7pD_ucyuV8hTpHHlPuAmrs1PxJKwHtZMWeX4l3UFl7gYXAETKEkT14COZHerfuq
 IaXKkecRpXUQkQMHkyqMm824U5EbYGdhAmwJ8kc6Re9aDDesAOSVjfTaGB7VKKtZREsIksov_z50
 3dBVyNyMyIbPEMb0xY82Tdjmg..4uZ7hCi2yZnJNkOch63FvnBAYDQTlfGpduJAuTBTwRAb8c2wc
 SFfumEk8b7fW5CPnIyirGEvuPQDpg4NGoKRkFRp.AqeuVsCfl5aLD6sMM7UV.oCf2_JB07HYDYYQ
 5MzLZxy_nUTZN_q0VqydjTYHGQlbp8njmBTCLgcHXN.czw_jhB0IY0Yy7T91ogzohy3U2_W8wXAp
 ..IILwGRujTaqhw95ycNolssgOhUZa0Z.KeJIOWGgN9xwdW5t8z41KBEKRVqU1lC1FAtKHUtk2Mq
 cwLkWI6NtqBvKuSj_HrEiYthAVDEih.RXeXbHG6fZ97G_J0yW.lWBHNu29wBSK0u0JSFF3tu9hVC
 Wg2eWW04glp8ypqpJEtP5KYimCRDYgBGximptOKex4xP27CA24QjOrLCDoZqW01rUPqshm8JpV1e
 lrPbl5PWquYzMv7IShpSnb3XiNqtP5NxTs1aUjtuhLLvRgqgqFvRQF8fb.4sbXOTN8cWkLnshzOu
 .pE2j57qG8rrm9gR5Ko9ZnOLCvplnC7xM.hBS3h__URe874YzmSi2B2_2Hssbjf19xhbSKnO7lP0
 ov_BO8b8do7LZ0ar8T39W35NYZTneRexiZNJhdgbNEtVMjpFv2LLJxzkhzOD5vFJMUZdbGGlIgms
 vMb7wfae8x6Jm6BXG_KJ1p3AAgyPxuqAwnP99Mpo5eyFu6euwZSP9OKDiYrybVQ6Om3evAY_n6QK
 Fvq8NXOMqhwW8yUsdbT4blfCyqMovrC_qwHehAwQRG8qqxocplrHuB2S1FuQz3LQxXQmZ0oxP5D3
 gue3egP7IKhHRhUAi0YpPL3vj6vQfXIz9oUcbk8okWrGmsCiw8lAs.qsFPdOq.NVn4S2.zxSmNA5
 OfXvTt2bx7bJn_QTnpqBEvZtHIVDJzkWV0tTDGZiMWGrE37f4kw6AC4eUh57c6sUzvhywNe3BuQr
 _EyuyYLshWjLSWDloohM4KMLy6bfJWl70BlvsQ2OBwr8559JMBnEfINruHq5DSnTSYsKu2eUNMSE
 LXD8qAkfxVk4qoKOdl0JgYfdjfXPikQpK05w_Eneh_7o__Ug6jAODwhop3yF7Rn2rcO4eZnh0OEP
 hB35e9usgWor40Lbwvo2FMKq0uy5qwDFaPcRS9BaDe7vRW2Girr00FgByjg7OJmAEzp11vCftopi
 GLMXqWYCKIZyn4CupxKZ8O711D21pu9KEvNNpMqrbV9Z1CfIzIFgt836WECVqPCUBSJq1D9OZvpb
 FvqFRr.7sQAuYcZAe._vdTTFCH_wMC2UCITWJfHTJ45zNZ9cPG6b._BBpgz.rzDU95v2lj17Dca8
 5WCo52UeQwQ3AwnbUDTZRXMjFavD0RHi.GC.xQrywn7SwFE9I_xvuIeRLYl8oWxpMvLO2VfPlG9z
 oKizcpOFhnU.58XULyh9v
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sat, 23 Oct 2021 07:32:56 +0000
Received: by kubenode514.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 3b2c0e727d9de69d9028263b8856b368; 
 Sat, 23 Oct 2021 07:32:51 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Date: Sat, 23 Oct 2021 15:32:48 +0800
Message-ID: <878ryk9owv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
References: <878ryk9owv.fsf.ref@HIDDEN>
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 757
Received-SPF: pass client-ip=66.163.184.148; envelope-from=luangruo@HIDDEN;
 helo=sonic309-22.consmr.mail.ne1.yahoo.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)


Previously, in an Emacs built with Xaw3d scroll bars, the thumb
proportion would update as the scrollbar was dragged.  Now it doesn't
update until the scrollbar is released, and something that makes the
scrollbar position change happens.

Thanks.

In GNU Emacs 27.2 (build 2, i386-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
of 2021-10-21 built on vendetta
Windowing system distributor 'The X.Org Foundation', version 11.0.12101001

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
'configure --prefix=/opt/gsb'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GCONF GLIB ACL
LIBSELINUX LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE
XIM MODULES THREADS PDUMPER 




Acknowledgement sent to Po Lu <luangruo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51343; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 24 Oct 2021 07:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.